Developers
REST API
GuidesErrorsLogin
Get API Keys
API Navigation
  • Overview
  • Quick start
  • Authentication
  • Collect a payment
  • Payment status
  • Refunds
  • Testing
  • Production
  • Security
API reference
  • Create API keys POST
  • List API keys GET
  • Get API key GET
  • Delete API key DEL
  • Collect with MTN POST
  • MTN payment status GET
  • Collect with Airtel POST
    Create and pay
  • Create order POST
  • Order fee POST
  • Pay order with card POST
  • Pay order with bank POST
  • Status and verify
  • Order status POST
  • Verify order POST
  • Cards and tokens
  • Save card POST
  • Tokenize charge GET
  • Refunds
  • Refund order POST
  • Lists and stats
  • List orders GET
  • Get order GET
  • List banks GET
  • Order stats GET
  • List transactions GET
  • Get transaction GET
  • Transaction statuses GET
Errors and limits
  1. Docs
  2. API reference
  3. List API keys

List API keys

List all API key configs for the signed-in merchant.

OpenAPI SpecRun in Postman
GET/developer/allAPI
Authentication:Bearer token•Authorization: Bearer <token>(Bearer token for server-to-server API calls)
Security requirement: 403 CSRF Protection
Auth guide →

Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:

X-Requested-With: XMLHttpRequest
import axios from "axios";

const url = "https://payment-service-mh2d.onrender.com/api/developer/all";

const headers = {
    Authorization: `Bearer ${process.env.ZIBA_TOKEN}`,
};

try {
  const response = await axios.get(url, {
    headers,
    timeout: 15000,
  });
  console.log("Success:", response.status, response.data);
} catch (error) {
  console.error("Request failed:", error.response?.data || error.message);
}
Auth guide

Response fields

FieldTypePresenceDescription
[].idstringAlways returnedGateway configuration ID. Used to identify keys for deletion.
[].apiKeystringAlways returnedPublic API key identifier.
[].namestringAlways returnedDescriptive label assigned to this key.
[].descriptionstringAlways returnedEnvironment or usage description.
[].userIdstringAlways returnedMerchant account ID.
[].createdAtstringOptionalISO 8601 timestamp when the key was created.

Status codes

HTTP StatusMeaning
200Array of API key configs without plaintext secrets.
401No merchant session. Missing or expired Bearer token.

Notes

  • Security Notice: apiSecret is strictly omitted from list responses. If a secret is lost, you must create a new API key pair.

Related

Create API keysDelete API key
Was this page helpful?

Let us know how we can make our API documentation better.

PreviousCreate API keys
NextGet API key